### org.jfree.layouting.renderer.process

# Class AlignmentCollector

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.AlignmentCollector`

`public class AlignmentCollector`
`extends java.lang.Object`

The collector holds the total height of all elements and the baseline positions of the last element. When a new element is added, it gets added either unaligned (in respect to any baseline) or alignd to one of the baselines.

Author:
  Thomas Morgner

  ## Constructor Summary

  `AlignmentCollector(long lineheight)`

  ## Method Summary

  `long`

  `add(InlineSequenceElement sequenceElement)`
    Adding unaligned elements increases the total height and either shifts the stored baselines upward or downwards.

  `long`

  `getHeight()`

## Constructor Details

### AlignmentCollector

    public AlignmentCollector(long lineheight)

> Parameters:
>   `lineheight` -

## Method Details

### add

    public long add(InlineSequenceElement sequenceElement)

> Adding unaligned elements increases the total height and either shifts the stored baselines upward or downwards. If a bottom aligned element is greater than the already seen content, extending the total height will require a shift of the computed last baseline by the added height. The returned position will only be valid, if the total lineheight will not change while adding nodes.
> Parameters:
> Returns:
>   the position of the top edge of the node.

### getHeight

    public long getHeight()